// {} Librerías e importaciones

// ! Tabla
import Tabla from "../../elementos/tabla.js";

// {}
(() => {

	// ! Declaración de variables
	let
		tabla = {
			instancia: new Tabla({
				columna: {
					peticion: {
						ruta: `${window.aplicacion.enlace}/ejecutar`,
						parametro: { procedimiento: 'p_traer_encabezado_procesos' }
					}
				},
				datos: {
					peticion: {
						ruta: `${window.aplicacion.enlace}/ejecutar`,
						parametro: {
							procedimiento: 'p_registrar_depreciacion',
							mes: () => !mes.value ? -1 : mes.value,
							ano: () => !ano.value ? -1 : ano.value,
							accion: 'GENERAR'
						}
					}
				},
			configuracion: {
				dom: `tpB`
			}
			})
		}

	// !
	$(botonBuscar).click(async function(evento) {

		// +
		await tabla.instancia.inicializar()

		// +
		botonGuardar.disabled = false;

	});

	// !
	$(formularioGenerarDepreciacion).on('reset', function(evento) {

		// +
		botonGuardar.disabled = true

		// +
		tabla.instancia.destruir()

	});


})()
